<?xml version="1.0" encoding="UTF-8" ?>
<persistence xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_2_0.xsd"
	version="2.0" xmlns="http://java.sun.com/xml/ns/persistence">
	
	<persistence-unit name="sample"
		transaction-type="RESOURCE_LOCAL">
		
		<provider>org.eclipse.persistence.jpa.PersistenceProvider</provider>
		<class>org.eclipse.osbp.runtime.web.sample.entities.BaseUUID</class>
		<class>org.eclipse.osbp.runtime.web.sample.entities.Person</class>
		<class>org.eclipse.osbp.runtime.web.sample.entities.Address</class>
		<class>org.eclipse.osbp.runtime.web.sample.entities.Country</class>
		<properties>
			<property name="javax.persistence.jdbc.driver" value="org.apache.derby.jdbc.EmbeddedDriver" />
			<property name="javax.persistence.jdbc.url" value="jdbc:derby:memory:model1;create=true" />
			<property name="javax.persistence.jdbc.user" value="test" />
			<property name="javax.persistence.jdbc.password" value="test" />

			<!-- EclipseLink should create the database schema automatically -->
			<property name="eclipselink.ddl-generation" value="drop-and-create-tables" />
			<property name="eclipselink.create-ddl-jdbc-file-name"
				value="createDDL_ddlGeneration.jdbc" />
			<property name="eclipselink.drop-ddl-jdbc-file-name" value="dropDDL_ddlGeneration.jdbc" />
			<property name="eclipselink.ddl-generation.output-mode"
				value="both" />
			<property name="eclipselink.logging.level" value="FINEST" />
		</properties>
	</persistence-unit>
</persistence>